EPOST(1)

NAME
epost - upload a batch of NCBI Entrez record identifiers

SYNOPSIS
epost (edirect -post) [-help] [-db name] [-id ID(s)] [-format fmt] [-input filename]

DESCRIPTION
epost uploads a batch of record identifiers (textual accessions or numeric UIDs) to Entrez history servers for processing by other edirect commands. By default, it reads these identifiers from standard input. It has two implementations: a shell implementation on top of nquire(1) and a traditional Perl implementation that amounts to running edirect -post, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section.

OPTIONS

-help
    Print usage information.

-db name
    Indicate that the identifiers are from the specified database.

-id ID(s)
    Specify identifiers directly.

-format fmt
    uid or acc(ession).

-input filename
    Read from filename instead of standard input (which is then free to receive pipeline state from other edirect commands).

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
edirect(1), elink(1), nquire(1).